Get Playbook
Fetch a single playbook configuration and run stats.
GET
/
v1
/
playbooks
/
{playbook_id}
Get Playbook
curl --request GET \
--url https://api.topo.io/v1/playbooks/{playbook_id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.topo.io/v1/playbooks/{playbook_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.topo.io/v1/playbooks/{playbook_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"status": "DRAFT",
"trigger_type": "SIGNAL",
"run_stats": {
"runs_last_7_days": 123,
"succeeded_last_7_days": 123,
"failed_last_7_days": 123,
"waiting_on_approval_last_7_days": 123,
"prospects_enrolled_last_7_days": 123
}
}Fetch a single playbook configuration and run stats.
Requires the
sequences:read scope on the API key.Authorizations
Bearer API key issued from Settings → Developers.
Path Parameters
ID of the playbook.
Response
200 - application/json
Successful Response
Unique identifier of the playbook.
Name of the playbook.
Lifecycle status of the playbook.
Available options:
DRAFT, ENABLED, PAUSED How the playbook is triggered.
Available options:
SIGNAL, SCHEDULE, EVENT, INBOUND_REPLY, MANUAL, CSV, LEAD_IMPORT_COMPLETED, ACTIVITY Execution statistics over the last 7 days, included when loading a single playbook.
Hide child attributes
Hide child attributes
Total number of runs in the last 7 days.
Number of succeeded runs in the last 7 days.
Number of failed runs in the last 7 days.
Number of runs waiting on approval in the last 7 days.
Number of prospects enrolled in the last 7 days.
Was this page helpful?
⌘I
Get Playbook
curl --request GET \
--url https://api.topo.io/v1/playbooks/{playbook_id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.topo.io/v1/playbooks/{playbook_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.topo.io/v1/playbooks/{playbook_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"status": "DRAFT",
"trigger_type": "SIGNAL",
"run_stats": {
"runs_last_7_days": 123,
"succeeded_last_7_days": 123,
"failed_last_7_days": 123,
"waiting_on_approval_last_7_days": 123,
"prospects_enrolled_last_7_days": 123
}
}